<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

function action_supprimer_article_dist(){
	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();
	$id_article = intval($arg);

	include_spip('inc/autoriser');
	if (! autoriser("modifier","article", $id_article)) {
		return false;
	}
	if ($id_article) {
		$set = array(
			'statut' => 'poubelle'
		);
		sql_updateq('spip_articles', $set,'id_article='.$id_article);
		include_spip('inc/invalideur');
		suivre_invalideur("id='id_article/$id_article'");
	}

	// redirection sur l'accueil
	$retour = 'spip.php?page=sommaire';
	include_spip('inc/headers');
	redirige_par_entete($retour);
}

